package my.poligon;

/**
 * Classe per la rappresentazione di segmenti, dati i punti
 * iniziale (a) e finale (b)
 */
public class Segmento {

    // Punti iniziale e finale del segmento
    private Punto a;
    private Punto b;

    public Segmento(Punto a, Punto b) {
        this.a = a;
        this.b = b;
    }

    // Metodi per la lettura di a e b
    public Punto getA() {
        return a;
    }

    public Punto getB() {
        return b;
    }

    // Metodi per la configurazione di a e b
    public void setA(Punto a) {
        this.a = a;
    }

    public void setB(Punto b) {
        this.b = b;
    }
}
